<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xslf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xslf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xslf/util/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xslf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                            title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Common interface for shape containers, e.g.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XMLSlideShow.html"
                                            title="class in org.apache.poi.xslf.usermodel">XMLSlideShow</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a ooxml slideshow.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a shape with a preset geometry.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFBackground</a></td>
                    <td class="colLast">
                        <div class="block">Background shape</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFChart.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFChart</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Chart in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFColor.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFColor</a></td>
                    <td class="colLast">
                        <div class="block">Encapsulates logic to read color definitions from DrawingML and convert them
                            to java.awt.Color
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFComment.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFComment</a></td>
                    <td class="colLast">
                        <div class="block">XSLF Comment</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFCommentAuthors.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFCommentAuthors</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFComments.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFComments</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFConnectorShape</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a connection shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFDrawing.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFDrawing</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFFactory.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFFactory</a></td>
                    <td class="colLast">
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a custom geometric shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a group shape that consists of many shapes grouped together.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFHyperlink.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFHyperlink</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFMetroShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFMetroShape</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class for metro blobs, i.e.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotes.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFNotes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotesMaster.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFNotesMaster</a></td>
                    <td class="colLast">
                        <div class="block">Notes master object associated with this layout.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectData.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFObjectData</a></td>
                    <td class="colLast">
                        <div class="block">An XSLFOleData instance holds the ole binary stream/object</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFPictureData</a></td>
                    <td class="colLast">
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a picture shape</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFPlaceholderDetails</a></td>
                    <td class="colLast">
                        <div class="block">XSLF Placeholder Details</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFShadow</a></td>
                    <td class="colLast">
                        <div class="block">Represents a shadow of a shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></td>
                    <td class="colLast">
                        <div class="block">Base super-class class for all shapes in PresentationML</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a single (non-group) shape in a .pptx slide show</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSlide</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideLayout.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideLayout</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideMaster.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideMaster</a></td>
                    <td class="colLast">
                        <div class="block">Slide master object associated with this layout.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShow.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideShow</a></td>
                    <td class="colLast">
                        <div class="block">Experimental class to do low level processing of pptx files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShowFactory.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideShowFactory</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTable</a></td>
                    <td class="colLast">
                        <div class="block">Represents a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a></td>
                    <td class="colLast">
                        <div class="block">Represents a cell of a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a></td>
                    <td class="colLast">
                        <div class="block">Represents a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTableStyle</a></td>
                    <td class="colLast">
                        <div class="block">Represents a table style in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyles.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTableStyles</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTabStop.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTabStop</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a></td>
                    <td class="colLast">
                        <div class="block">Represents a paragraph of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextRun.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTextRun</a></td>
                    <td class="colLast">
                        <div class="block">Represents a run of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a shape that can hold text.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a></td>
                    <td class="colLast">
                        <div class="block">A shared style sheet in a .pptx slide show</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xslf/usermodel/SlideLayout.html"
                                            title="enum in org.apache.poi.xslf.usermodel">SlideLayout</a></td>
                    <td class="colLast">
                        <div class="block">Date: 11/5/11</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.TablePartStyle.html"
                            title="enum in org.apache.poi.xslf.usermodel">XSLFTableStyle.TablePartStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xslf/util/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
